defmodule ZoeyscomputerWeb.GistLive.Show do
  use ZoeyscomputerWeb, :live_view
  import ZoeyscomputerWeb.CodeBlock

  alias Zoeyscomputer.Gists

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:gist, Gists.get_gist!(id))}
  end

  defp page_title(:show), do: "Show Gist"
  defp page_title(:edit), do: "Edit Gist"
end
